Bug 25535 - [GTK] object:state-changed:checked events missing for radio buttons and checkboxes
Summary: [GTK] object:state-changed:checked events missing for radio buttons and check...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks: 25531
  Show dependency treegraph
 
Reported: 2009-05-03 21:16 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2009-07-30 00:53 PDT (History)
8 users (show)

See Also:


Attachments
aforementioned test case (446 bytes, text/html)
2009-05-03 21:17 PDT, Joanmarie Diggs (irc: joanie)
no flags Details
statechangedchecked.patch (3.50 KB, patch)
2009-06-17 06:28 PDT, Xan Lopez
mjs: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2009-05-03 21:16:26 PDT
Steps to reproduce:

1. Open the (to be) attached test case.

2. In Accerciser, select WebKit (or Epiphany) in the list of accessibles in the left-hand pane. In the right-hand pane, switch to the Event Monitor. Select "Selected application" as the source and object->state-changed as the event type to monitor.

3. With event monitoring enabled, return focus to WebKit (or Epiphany). Toggle the state of the checkboxes and radio buttons.

Expected results: Each time the state is toggled, an object:state-changed:checked event would be emitted with detail1 indicating the state (0 == unchecked; 1 == checked).

Actual results: no object:state-changed:checked events are emitted.
Comment 1 Joanmarie Diggs (irc: joanie) 2009-05-03 21:17:39 PDT
Created attachment 29984 [details]
aforementioned test case
Comment 2 Xan Lopez 2009-06-17 06:28:40 PDT
Created attachment 31410 [details]
statechangedchecked.patch

Implement the signal.

I'm not sure if adding the AX notification stuff in HTMLInputElement is OK, but it seemed like the most sensible place I could find. Suggestions welcome!
Comment 3 Eric Seidel (no email) 2009-06-18 18:25:35 PDT
CCing Jon so he sees this go by.
Comment 4 Holger Freyther 2009-07-07 23:24:50 PDT
I think this is a great change. On the down side no one in WebCore/html is doing something like this. You should really try to grab someone on irc to get this in.
Comment 5 Maciej Stachowiak 2009-07-30 00:42:20 PDT
Comment on attachment 31410 [details]
statechangedchecked.patch

Accessibility notifications right now are posted from all over the code. It might be good to rationalize them (maybe they should all come from the render tree), but for now this seems like a sensible approach. I wonder if other AX back ends need to react to this notification too.
Comment 6 Xan Lopez 2009-07-30 00:53:46 PDT
Thanks, I've landed this in r46574 with a small comment explaining why do we emit the notifications from the DOM tree.